<?php
	global $wpdb;
	global $current_user;
?>
<div class="bootstrap-wrapper">
	<div class="dashboard-eplugin container-fluid">
		<div class="row">
			<div class="col-md-12"><h3 class="page-header"><?php esc_html_e('Listing Fields','ivdirectories'); ?>  <br /><small> &nbsp;</small> </h3>
			</div>
		</div>
		
		<div class="panel panel-info">
			<div class="panel-heading"><h4>
				<?php esc_html_e('listing Fields', 'ivdirectories' ); ?>
			</h4></div>
			<div class="panel-body">
				<form id="dir_fields" name="dir_fields" class="form-horizontal" role="form" onsubmit="return false;">
					<div class="row ">
						<div class="col-sm-3 "><h4>
							<?php esc_html_e('Speciality(s) listing :', 'ivdirectories' ); ?>
						</h4>
						</div>
						<?php
							$Specialtie =esc_html__('Accident Injury,Administrative,Admiralty Maritime,Adoption,Agricultural Law,Antitrust and Unfair Competition,Appeals,Appellate Practice,Arson and Fraud Defense,Asbestos Mesothelioma,Asset Protection,Auto Accidents,Aviation Litigation,Bad Faith Litigation,Bankruptcy,Bicycle Personal Injury,Brain Injury,Burglary,Business Commercial,Casualty and Property Defense,Child Abuse,Child Custody,Children,Civil Engineering,Civil Litigation,Civil Practice,Civil Rights,Collaborative Law,Collections,Commercial Litigation,Computer,Constitutional Law,Construction,Construction Claim,Construction Litigation,Consumer Debt Protection,Consumer Litigation,Contract,Copyright and Trademark,Corporate and Partnership Litigation,Corporate Planning,Corporation,Credit Card Settlement,Credit Reporting,Creditor Debtor,Creditors Rights,Criminal,Crisis Management,Directors and Officers Liability,Discrimination,Divorce,Domestic,Drug Charges,Drug Possession,DUI OWI,E-Commerce and Internet Business Law,Education,Elder Law,Emerging Business and Venture Capital,Employee Benefits and Executive Compensation,Employment Law,Entertainment,Environmental Coverage,Environmental Law,Environmental Litigation,ERISA,Estate Planning,Estate Planning and Administration,Estate Settlement,Family,Federal and State Taxation,Federal Law,FELA Railroad Injury,Felonies,Fidelity and Security,Financial Services,Food Borne Illness,Foreclosures,Franchise Law,General Practice,Government Contracts,Guardianship Conservator,Hand Surgery,Health Care,Health Regulatory Law and Litigation,Immigration,Injuries At Bars Hotels and Restaurants,Injuries from Animal Attacks,Injuries to Children,Injury,Insurance,Insurance Bad Faith,Insurance Corporate and Regulatory,Insurance Coverage,Intellectual Property,International,International Tax and Estate Planning,International Torts,Internet,Juvenile,Labor and Employment,Land Use,Landlord Tenant,Latin America Practice Group,Legal Malpractice,Liability,Litigation,Loan Modification,Long Term Disability,Main,Malpractice,Manslughter,Marine and Maritime Law,Matrimonial,Mediation Arbitration,Medicaid,Mergers and Acquisitions,Military Law,Misdemeanors,Motor Vehicle Accident,Murder Homicide,Nonprofit,Oil Drilling,Oil Field Production,OSHA Defense,Patent,Personal Injury,Pharmaceuticals,Premise Liability,Privacy Law and Regulations,Pro Bono,Probate,Product Liability,Professional Liability,Professional Malpractice,Property,Public and Project Finance,Public Utilities and Energy Law,Punitive Damages,Racial Discrimination,Real Estate,Real Estate Litigation,Real Property,Reinsurance,Securities and Banking Law,Securities Arbitration and Litigation,Securities Litigation and Civil RICO,Securities Offerings and Regulations,Sentencing Issues,Sexual Assault,Sexual Harassment,Small Business,Social Security Disability,Special,Sports,State Law,Structured Settlement and Lottery Funding,Subrogation and Recovery,Tax Law,Toxic and Other Mass Torts,Traffic,Transportation,Truck Accident,Truck Crash,Trucks and Semis,Trust and Estate Litigation,Trust and Estate Planning,Unfair Insurance Practices,Vaccine Injury,Veterans Disability,Veterinarian Malpractice Defense,White Collar Crime,Wills Estates,Workers Compensation,Wrongful Death,Zoning','ivdirectories');
							$field_set=get_option('iv_listing_Specialities' );
							if($field_set!=""){
								$Specialities=get_option('iv_listing_Specialities' );
							}
						?>
						<div class="col-sm-9 ">	<textarea class="col-sm-9 " name="Specialities" id="Specialities"   ><?php echo esc_html($Specialities); ?> </textarea>
						</div>
					</div>
					<br/><br/>
					<div class="row ">
						<div class="col-sm-5 ">
							<h4>
								<?php esc_html_e('Post Meta Name', 'ivdirectories' ); ?>
							</h4>
						</div>
						<div class="col-sm-5">
							<h4>
								<?php esc_html_e('Display Label', 'ivdirectories' ); ?>
							</h4>
						</div>
						<div class="col-sm-2">
							<h4>
								<?php esc_html_e('Action', 'ivdirectories' ); ?>
							</h4>
						</div>
					</div>
					<div id="custom_field_dir_div">
						<?php
							$default_fields = array();
							$field_set=get_option('iv_directories_fields' );
							if($field_set!=""){
								$default_fields=get_option('iv_directories_fields' );
								}else{
								$default_fields['Gender']='Gender';	
								$default_fields['lawfirmAffiliations']='Law Office Affiliations';
								$default_fields['ExperienceTranining']='Experience / Tranining';
								$default_fields['Education']='Education';
								$default_fields['Apprenticeships']='Apprenticeships';
								$default_fields['Residency']='Residency';
								$default_fields['PractiseArea']='Practise Area';	
								$default_fields['Certifications']='Certifications';	
								$default_fields['Pre-Law']='Pre-Law';
								$default_fields['Law-School']='Law School';		
								$default_fields['law-degree']='Law Degree';																	
								$default_fields['Bar-Exam']='Bar Exam';	
								$default_fields['Practice-Course']='Practice Course';																
								$default_fields['Languages']='Languages';
							}
							$dir=1;
							foreach ( $default_fields as $field_key => $field_value ) {
								echo '<div class="row form-group " id="field_dir'.$dir.'"><div class=" col-sm-5"> <input type="text" class="form-control" name="meta_name[]" id="meta_name[]" value="'.$field_key . '" placeholder="Enter Post Meta Name "> </div>
								<div  class=" col-sm-5">
								<input type="text" class="form-control" name="meta_label[]" id="meta_label[]" value="'.$field_value . '" placeholder="Enter Post Meta Label">
								</div>
								<div  class=" col-sm-2">';
							?>
							<button class="btn btn-danger btn-xs" onclick="return iv_remove_dir_field('<?php echo esc_html($dir); ?>');"><?php esc_html_e('Delete', 'ivdirectories' ); ?></button>
							<?php
								echo '</div></div>';
								$dir++;
							}
						?>
					</div>
					<div class="col-xs-12">
						<button class="btn btn-warning btn-xs" onclick="return iv_add_dir_field();"><?php esc_html_e('Add More', 'ivdirectories' ); ?></button>
					</div>
					<input type="hidden" name="dir_name" id="dir_name" value="<?php echo esc_html($main_category); ?>">
				</form>
				<div class="col-xs-12">
					<div align="center">
						<div id="loading_3"></div>
						<div id="success_message_3"></div>
						<button class="btn btn-info btn-lg" onclick="return update_dir_fields();"><?php esc_html_e('Update', 'ivdirectories' ); ?> </button>
					</div>
					<p>&nbsp;</p>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
wp_enqueue_script('iv_directories-script-dir-fields', wp_iv_directories_URLPATH . 'admin/files/js/dir_fileds.js');
wp_localize_script('iv_directories-script-dir-fields', 'dirdata', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ),
	'i'=> 	esc_html($dir),	
	'settingnonce'=> wp_create_nonce("settings"),
	'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
	
) );
?>
