<?php

$csv = file_get_contents( get_attached_file($csv_file_id) );
if($csv === false){	
	
	$url=get_attached_file($csv_file_id);
	$ch = curl_init();
	curl_setopt ($ch, CURLOPT_URL, $url);
	curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, 5);
	curl_setopt ($ch, CURLOPT_RETURNTRANSFER, true);
	$csv = curl_exec($ch);
}
$csv_rows = explode( "\n", $csv );
$total_rows = count( $csv_rows );

$title_row = $csv_rows[ 0 ];

 update_option( 'eppro_total_row',$total_rows-1);	
 update_option( 'eppro_current_row','1');	
 
$title_row_array= explode(",",$title_row);

	
$maping='';
$main_fields =array('id','post_title','post_content','post_type','category','tag','specialities','featured-image','logo_image_url','image_gallery_urls','address','latitude','longitude','city','postcode','state','country','phone','contact-email','contact_web','youtube-video','facebook','linkedin','vimeo');

$default_fields = array();
$field_set=get_option('iv_directories_fields' );
if($field_set!=""){ 
		$default_fields=get_option('iv_directories_fields' );
}else{															
	$default_fields['Gender']='Gender';	
	$default_fields['lawfirmAffiliations']='Law Office Affiliations';
	$default_fields['ExperienceTranining']='Experience / Tranining';
	$default_fields['Education']='Education';
	$default_fields['Apprenticeships']='Apprenticeships';
	$default_fields['Residency']='Residency';
	$default_fields['PractiseArea']='Practise Area';	
	$default_fields['Certifications']='Certifications';	
	$default_fields['Pre-Law']='Pre-Law';
	$default_fields['Law-School']='Law School';		
	$default_fields['law-degree']='Law Degree';																	
	$default_fields['Bar-Exam']='Bar Exam';	
	$default_fields['Practice-Course']='Practice Course';																
	$default_fields['Languages']='Languages';
}

$default_fields['_award_title_0']='_award_title_0';
$default_fields['_award_description_0']='_award_description_0';
$default_fields['_award_year_0']='_award_year_0';
$default_fields['_award_image_url_0']='_award_image_url_0';
$default_fields['_award_title_1']='_award_title_1';
$default_fields['_award_description_1']='_award_description_1';
$default_fields['_award_year_1']='_award_year_0';
$default_fields['_award_image_url_1']='_award_image_url_1';



if(sizeof($default_fields )){			
	foreach( $default_fields as $field_key => $field_value ) { 
			array_push($main_fields, $field_key);
	}					
}
$i=0;

$maping=$maping.'<form id="csv_maping" name="csv_maping" ><table class="table  table-striped">
  <thead>
    <tr>    
      <th>'.esc_html__('Post Field/Map to field', 'ivdirectories' ).'</th>
      <th>'.esc_html__('CSV Column Title/Name', 'ivdirectories' ).'</th>      
    </tr>
  </thead>';
  
foreach($title_row_array as $one_col){
	$sel_name= str_replace (' ','-', $one_col);
	$maping=$maping.'<tr><td><select name="'.trim($sel_name).'">';
	$maping=$maping.'<option value="">'.esc_html__('Email', 'ivdirectories' ).'</option>';
	$ii=0;
	foreach($main_fields as $main_one){		
		$maping=$maping.'<option value="'.$main_one.'" '.($i==$ii?' selected':"").'>'.$main_one.'</option>';		
		$ii++;
	}	
	$maping=$maping.'</select></td>';
	$maping=$maping.'<td>'.$one_col.'<input type="hidden" name="column'.$i.'" value="'.$one_col.'"></td>';
	$maping=$maping.'</tr>';	
	
 $i++;	
}

$maping=$maping.'</table></form>';

?>